# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TUserDefinedTypeEntry

Packages that use TUserDefinedTypeEntry
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TUserDefinedTypeEntry in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TUserDefinedTypeEntry
Modifier and Type
Class
Description
`class`
`TUserDefinedTypeEntry`
`class`
`TUserDefinedTypeEntry`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TUserDefinedTypeEntry
Modifier and Type
Method
Description
`TUserDefinedTypeEntry`
TUserDefinedTypeEntry.`deepCopy()`
`TUserDefinedTypeEntry`
TTypeEntry.`getUserDefinedTypeEntry()`
`TUserDefinedTypeEntry`
TUserDefinedTypeEntry.`setTypeClassName(String typeClassName)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TUserDefinedTypeEntry
Modifier and Type
Method
Description
`int`
TUserDefinedTypeEntry.`compareTo(TUserDefinedTypeEntry other)`
`boolean`
TUserDefinedTypeEntry.`equals(TUserDefinedTypeEntry that)`
`void`
TTypeEntry.`setUserDefinedTypeEntry(TUserDefinedTypeEntry value)`
`static TTypeEntry`
TTypeEntry.`userDefinedTypeEntry(TUserDefinedTypeEntry value)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TUserDefinedTypeEntry
Modifier
Constructor
Description
``
`TUserDefinedTypeEntry(TUserDefinedTypeEntry other)`
Performs a deep copy on other.